Bug 63648 - Sporadic "Internal Server Error"
Sporadic "Internal Server Error"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels (Show other bugs)
RHN Stable
All Linux
medium Severity high
: ---
: ---
Assigned To: Mihai Ibanescu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-16 16:42 EDT by Isaiah Weiner
Modified: 2007-04-18 12:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-24 12:07:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Internal Server Error Examples (22.78 KB, text/plain)
2002-05-02 15:24 EDT, Isaiah Weiner
no flags Details

  None (edit)
Description Isaiah Weiner 2002-04-16 16:42:33 EDT
Description of problem:
Roughly every other instance of running `rhn_package_manager -v` 
yields, "Internal Server Error".  As there is no log for rhn_package_manager, 
please tell me the best way to proceed.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rhn_package_manager
2. rhn_package_manager
3. rhn_package_manager

Actual Results:
1. rhn_package_manager (fail w/ ISV)
2. rhn_package_manager (succeed)
3. rhn_package_manager (fail w/ ISV)

Expected Results:
1. rhn_package_manager (succeed)
2. rhn_package_manager (succeed)
3. rhn_package_manager (succeed)

Additional info:

Updating private channel packages in an automated fashion cannot be successful 
without this working.
Comment 1 Mihai Ibanescu 2002-04-16 17:30:58 EDT
This is a known bug that will be fixed with the next code push (hopefully
today/tomorrow).
Comment 2 Mihai Ibanescu 2002-04-18 11:11:07 EDT
Fixed.
Comment 3 Isaiah Weiner 2002-05-02 15:24:22 EDT
It's popping up again.  I'm attaching the output.
Comment 4 Isaiah Weiner 2002-05-02 15:24:54 EDT
Created attachment 56224 [details]
Internal Server Error Examples
Comment 5 Mihai Ibanescu 2002-05-24 11:25:08 EDT
Is it still happening?
Comment 6 Isaiah Weiner 2002-05-24 11:58:03 EDT
Seems to not be happening.  Just uploaded a group of 100 or so packages without 
any failures.
Comment 7 Mihai Ibanescu 2002-05-24 12:07:10 EDT
Let us know if/when it happens, have to correlate this with the server logs and
see what's going on.
Comment 8 Josef Komenda 2002-07-16 09:49:16 EDT
This hasn't been seen in several months, closing.

Note You need to log in before you can comment on or make changes to this bug.